#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int vrsta[200001], kolona[200001], br;

void dokNijeJedan(int* vrsta, int i)
{
    if(!vrsta[i+1])
        dokNijeJedan(vrsta, i+1);

    vrsta[i]++, vrsta[i+1]--, br++;
}

int main()
{
    int x, y, n, i;

    scanf("%d", &n);

    for(i=1; i<=n; i++)
    {
        scanf("%d%d", &x, &y);
        vrsta[y]++,kolona[x]++;
    }

    for(i=1; i<=n; i++)
    {
        if(!vrsta[i])
            dokNijeJedan(vrsta, i);

        else
            while(vrsta[i]!=1)
                vrsta[i+1]++, vrsta[i]--, br++;
    }

    for(i=1; i<=n; i++)
    {
        if(!kolona[i])
            dokNijeJedan(kolona, i);

        else
            while(kolona[i]!=1)
                kolona[i+1]++, kolona[i]--, br++;
    }

    printf("%d", br);

    return 0;
}